---
# https://vitepress.dev/reference/default-theme-home-page
layout: home

title: Nginx UI
titleTemplate: Yet another Nginx Web UI

hero:
    name: "Nginx UI"
    text: "Yet another Nginx Web UI"
    tagline: Intelligent, powerful, and fast.
    image:
        src: /assets/icon.svg
        alt: Nginx UI
    actions:
        -   theme: brand
            text: Get Started
            link: /guide/about
        -   theme: alt
            text: View on Github
            link: https://github.com/0xJacky/nginx-ui

features:
    -   icon: 📊
        title: Online Statistics for Server Indicators
        details: Monitor CPU usage, memory usage, load average, and disk usage in real-time.
    -   icon: 💾
        title: Automatic Configuration Backup
        details: Configurations are automatically backed up after modifications, allowing you to compare any versions or restore to any previous version.
    -   icon: 🔄
        title: Cluster Management
        details: Support for mirroring operations to multiple cluster nodes, easily manage multi-server environments.
    -   icon: 📤
        title: Encrypted Configuration Export
        details: Export encrypted Nginx / Nginx UI configurations for quick deployment and recovery to new environments.
    -   icon: 💬
        title: Enhanced Online ChatGPT Assistant
        details: Support for multiple models, including displaying Deepseek-R1's chain of thought to help you better understand and optimize configurations.
    -   icon: 🔍
        title: Code Completion
        details: Code editor supports code completion, help you write configuration faster.
    -   icon: 🤖
        title: MCP (Model Context Protocol)
        details: Provides special interfaces for AI agents to interact with Nginx UI, enabling automated configuration management and service control.
    -   icon: 🖱️
        title: One-Click Deployment and Automatic Renewal
        details: Easily deploy and auto-renew Let's Encrypt certificates with just one click.
    -   icon: 🛠️
        title: Online Editing Websites Configurations
        details: Edit configurations using our NgxConfigEditor block editor or Ace Code Editor with nginx syntax highlighting.
    -   icon: 📜
        title: Online View Nginx Logs
        details: Access and view your Nginx logs directly online.
    -   icon: 💻
        title: Written in Go and Vue
        details: The platform is built with Go and Vue, and distributed as a single executable binary.
    -   icon: 🔄
        title: Automatically Test and Reload Configurations
        details: Test configuration files and reload nginx automatically after saving changes.
    -   icon: 🖥️
        title: Web Terminal
        details: Access a web-based terminal for easy management.
    -   icon: 🌙
        title: Dark Mode
        details: Enable dark mode for a comfortable user experience.
    -   icon: 📱
        title: Responsive Web Design
        details: Enjoy a seamless experience on any device with responsive web design.
    -   icon: 🔐
        title: 2FA Authentication
        details: Secure sensitive actions with two-factor authentication.

---

